## Get all locations

### cURL

```bash
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/location \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/location"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/location', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200**: Success
- **400**: Invalid payload or parameter
- **404**: Resource not found. If the issue persists please contact support@fabric.inc.
- **500**: An internal error occurred. If the issue persists please contact support@fabric.inc.

### Authorizations

**Authorization**
- Type: `string`
- Location: `header`
- Required: Yes
- Description: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-site-context**
  - Type: `string`
  - Required: Yes
  - Description: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

Example:

```json
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
```

### Query Parameters

- **locationSearchModel**: object
- **paginationModel**: object
  - Pagination object represents the process of separating data into different pages.

### Response

- **200**: application/json
  - Success
  - Paginated location details

**locations**: array of objects  
**pagination**: object  
  - Pagination object represents the process of separating data into different pages.
